Namespace
library
Image / Tag
openjdk:17-ea-3-jdk-oraclelinux8
Content Digest
sha256:e967c3790624a244f79c6d4ffc08f1a7b64165c0cc8846636dd4ad76ade9dd29
Details
Created

2021-01-06 20:40:27 UTC

Size

230 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Oracle Linux Product Team <[email protected]>
  • org.opencontainers.image.description
    Oracle Linux is an open-source operating system available under the GNU General Public License (GPLv2) and is suitable for both general purpose or Oracle workloads.
  • org.opencontainers.image.source
    https://github.com/oracle/container-images/tree/dist-amd64/8-slim
  • org.opencontainers.image.title
    Oracle Linux 8 (slim)
  • org.opencontainers.image.url
    https://github.com/oracle/container-images
  • org.opencontainers.image.vendor
    Oracle America, Inc

Environment
JAVA_HOME

/usr/java/openjdk-17

JAVA_VERSION

17-ea+3

LANG

C.UTF-8

PATH

/usr/java/openjdk-17/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:a73adebe9317092fb1f120a1d0d21f460296e9bde7ac683fd452cfc628c528cf - 17.44% (40.1 MB)

[#001] sha256:01539a440662c3eb557891fa6a645060175a11221504049aa1b23cd50cc3f6fa - 5.5% (12.7 MB)

[#002] sha256:63810bfc855c898f7af8f7e4e9b3c4d52bcdfe2325c17cefacb9639727787273 - 77.06% (177 MB)


History
2020-09-15 21:22:07 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Oracle Linux Product Team <[email protected]> org.opencontainers.image.url=https://github.com/oracle/container-images org.opencontainers.image.source=https://github.com/oracle/container-images/tree/dist-amd64/8-slim org.opencontainers.image.vendor=Oracle America, Inc org.opencontainers.image.title=Oracle Linux 8 (slim) org.opencontainers.image.description=Oracle Linux is an open-source operating system available under the GNU General Public License (GPLv2) and is suitable for both general purpose or Oracle workloads.

2021-01-06 20:21:43 UTC

/bin/sh -c #(nop) ADD file:2987f8143a9c4f758731c17e307a6c7ca9e5e1a974df3405a17d2699da7d8351 in /

2021-01-06 20:21:44 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2021-01-06 20:39:53 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2021-01-06 20:39:53 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2021-01-06 20:39:53 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-17

2021-01-06 20:39:53 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-17/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2021-01-06 20:39:53 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=17-ea+3

2021-01-06 20:40:27 UTC

/bin/sh -c set -eux; objdump="$(command -v objdump)"; arch="$(objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in arm64 | aarch64) downloadUrl=https://download.java.net/java/early_access/jdk17/3/GPL/openjdk-17-ea+3_linux-aarch64_bin.tar.gz; downloadSha256=eacf61fc385681aa56993d5a326acbdb2d40658fb741a7c5b45b002f335262ad; ;; amd64 | i386:x86-64) downloadUrl=https://download.java.net/java/early_access/jdk17/3/GPL/openjdk-17-ea+3_linux-x64_bin.tar.gz; downloadSha256=fa2562dcc7bf374fc91c01dc722032147ea7553f961a250f8ae7348e6091dabc; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2021-01-06 20:40:27 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Details
Created

2021-01-06 21:05:04 UTC

Size

225 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Oracle Linux Product Team <[email protected]>
  • org.opencontainers.image.description
    Oracle Linux is an open-source operating system available under the GNU General Public License (GPLv2) and is suitable for both general purpose or Oracle workloads.
  • org.opencontainers.image.source
    https://github.com/oracle/container-images/tree/dist-arm64v8/8-slim
  • org.opencontainers.image.title
    Oracle Linux 8 (slim)
  • org.opencontainers.image.url
    https://github.com/oracle/container-images
  • org.opencontainers.image.vendor
    Oracle America, Inc

Environment
JAVA_HOME

/usr/java/openjdk-17

JAVA_VERSION

17-ea+3

LANG

C.UTF-8

PATH

/usr/java/openjdk-17/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d0eecbd2c3e7306adbf5b4a0d9bebc7d266ebe78bda044d35b0994c1cf655a54 - 17.77% (40.1 MB)

[#001] sha256:e1d959bac04e84615265b829b8f4c62eddad4d65f7aabc8d560ca8430057b054 - 5.95% (13.4 MB)

[#002] sha256:826e8cc3d01c3ef27a6d1484ee4dca7d90011f975c1457d003840eccef218e87 - 76.28% (172 MB)


History
2020-09-15 20:40:54 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Oracle Linux Product Team <[email protected]> org.opencontainers.image.url=https://github.com/oracle/container-images org.opencontainers.image.source=https://github.com/oracle/container-images/tree/dist-arm64v8/8-slim org.opencontainers.image.vendor=Oracle America, Inc org.opencontainers.image.title=Oracle Linux 8 (slim) org.opencontainers.image.description=Oracle Linux is an open-source operating system available under the GNU General Public License (GPLv2) and is suitable for both general purpose or Oracle workloads.

2021-01-06 20:45:01 UTC

/bin/sh -c #(nop) ADD file:ad2b2ddca8e17229cc8d1380ecda32c4b2c04f1e2aed8f493f745c6352b34e60 in /

2021-01-06 20:45:03 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2021-01-06 21:04:08 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2021-01-06 21:04:09 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2021-01-06 21:04:09 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-17

2021-01-06 21:04:10 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-17/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2021-01-06 21:04:10 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=17-ea+3

2021-01-06 21:05:02 UTC

/bin/sh -c set -eux; objdump="$(command -v objdump)"; arch="$(objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in arm64 | aarch64) downloadUrl=https://download.java.net/java/early_access/jdk17/3/GPL/openjdk-17-ea+3_linux-aarch64_bin.tar.gz; downloadSha256=eacf61fc385681aa56993d5a326acbdb2d40658fb741a7c5b45b002f335262ad; ;; amd64 | i386:x86-64) downloadUrl=https://download.java.net/java/early_access/jdk17/3/GPL/openjdk-17-ea+3_linux-x64_bin.tar.gz; downloadSha256=fa2562dcc7bf374fc91c01dc722032147ea7553f961a250f8ae7348e6091dabc; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2021-01-06 21:05:04 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete